## r-cran-progress 1.1.2

=== DESCRIPTION ===
Package: progress
Title: Terminal Progress Bars
Version: 1.1.2
Author: Gábor Csárdi [aut, cre], Rich FitzJohn [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Configurable Progress bars, they may include percentage,
    elapsed time, and/or the estimated completion time. They work in
    terminals, in 'Emacs' 'ESS', 'RStudio', 'Windows' 'Rgui' and the
    'macOS' 'R.app'. The package also provides a 'C++' 'API', that works
    with or without 'Rcpp'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/gaborcsardi/progress#readme
BugReports: https://github.com/gaborcsardi/progress/issues
Imports: prettyunits, R6
Suggests: testthat
RoxygenNote: 5.0.1.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2016-12-14 09:09:03 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2016-12-14 17:23:33

=== inst/progresstest/DESCRIPTION ===
Package: progresstest
Title: Testing Terminal Progress Bars
Version: 1.0.0
Authors@R: person("Gabor", "Csardi", , "csardi.gabort@gmail.com", role = c("aut", "cre"))
Description: Test progress bars from the progress package.
License: MIT + file LICENSE
Imports:
    progress,
    Rcpp
LinkingTo:
    progress,
    Rcpp

=== debian/changelog ===
r-cran-progress (1.1.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 10:25:41 +0200

r-cran-progress (1.1.2-1) unstable; urgency=medium

  * Initial release (closes: #848659)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 11:43:31 +0100

=== debian/control ===
Source: r-cran-progress
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-r6,
               r-cran-prettyunits
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-progress.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-progress.git
Homepage: https://cran.r-project.org/package=progress

Package: r-cran-progress
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R terminal progress bars
 Configurable Progress bars for GNU R, they may include percentage,
 elapsed time, and/or the estimated completion time. They work in
 terminals, in 'Emacs' 'ESS', 'RStudio', 'Windows' 'Rgui' and the
 'macOS' 'R.app'. The package also provides a 'C++' 'API', that works
 with or without 'Rcpp'.

## r-cran-progress 1.2.0

=== DESCRIPTION ===
Package: progress
Title: Terminal Progress Bars
Version: 1.2.0
Author: Gábor Csárdi [aut, cre], Rich FitzJohn [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Configurable Progress bars, they may include percentage,
    elapsed time, and/or the estimated completion time. They work in
    terminals, in 'Emacs' 'ESS', 'RStudio', 'Windows' 'Rgui' and the
    'macOS' 'R.app'. The package also provides a 'C++' 'API', that works
    with or without 'Rcpp'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/progress#readme
BugReports: https://github.com/r-lib/progress/issues
Imports: hms, prettyunits, R6, crayon
Suggests: Rcpp, testthat, withr
RoxygenNote: 6.0.1.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-06-04 13:47:24 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2018-06-14 12:51:38 UTC

=== debian/changelog ===
r-cran-progress (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 14:51:33 +0200

r-cran-progress (1.1.2-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: r-cran-progress
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
+               r-cran-hms,
+               r-cran-prettyunits,
                r-cran-r6,
-               r-cran-prettyunits
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-progress.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-progress.git
+               r-cran-crayon
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progress
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progress.git
 Homepage: https://cran.r-project.org/package=progress
 
 Package: r-cran-progress

## r-cran-progress 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: progress
 Title: Terminal Progress Bars
-Version: 1.2.0
+Version: 1.2.2
 Author: Gábor Csárdi [aut, cre], Rich FitzJohn [aut]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Configurable Progress bars, they may include percentage,
@@ -14,9 +14,9 @@
 BugReports: https://github.com/r-lib/progress/issues
 Imports: hms, prettyunits, R6, crayon
 Suggests: Rcpp, testthat, withr
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 6.1.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-06-04 13:47:24 UTC; gaborcsardi
+Packaged: 2019-05-15 20:28:47 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2018-06-14 12:51:38 UTC
+Date/Publication: 2019-05-16 21:30:03 UTC

=== debian/changelog ===
r-cran-progress (1.2.2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:41:16 +0000

r-cran-progress (1.2.2-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 11:35:49 +0200

r-cran-progress (1.2.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 16:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-hms,
                r-cran-prettyunits,
                r-cran-r6,
                r-cran-crayon
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progress
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progress.git
 Homepage: https://cran.r-project.org/package=progress
+Rules-Requires-Root: no
 
 Package: r-cran-progress
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/progress_([-\d.]*)\.tar\.gz

## r-cran-progress 1.2.3

=== DESCRIPTION ===
Package: progress
Title: Terminal Progress Bars
Version: 1.2.3
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Rich", "FitzJohn", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Configurable Progress bars, they may include percentage,
    elapsed time, and/or the estimated completion time. They work in
    terminals, in 'Emacs' 'ESS', 'RStudio', 'Windows' 'Rgui' and the
    'macOS' 'R.app'. The package also provides a 'C++' 'API', that works
    with or without 'Rcpp'.
License: MIT + file LICENSE
URL: https://github.com/r-lib/progress#readme,
        http://r-lib.github.io/progress/
BugReports: https://github.com/r-lib/progress/issues
Depends: R (>= 3.6)
Imports: crayon, hms, prettyunits, R6
Suggests: Rcpp, testthat (>= 3.0.0), withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-12-05 09:33:10 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Rich FitzJohn [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-06 10:30:02 UTC

=== tests/testthat/progresstest/DESCRIPTION ===
Package: progresstest
Title: Testing Terminal Progress Bars
Version: 1.0.0
Authors@R: person("Gabor", "Csardi", , "csardi.gabor@gmail.com", role = c("aut", "cre"))
Description: Test progress bars from the progress package.
License: MIT + file LICENSE
Imports:
    progress,
    Rcpp
LinkingTo:
    progress,
    Rcpp

=== debian/changelog ===
r-cran-progress (1.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:28:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-progress
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev,
-               r-cran-hms,
-               r-cran-prettyunits,
-               r-cran-r6,
-               r-cran-crayon
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progress
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progress.git
 Homepage: https://cran.r-project.org/package=progress
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-crayon,
+               r-cran-hms,
+               r-cran-prettyunits,
+               r-cran-r6
 
 Package: r-cran-progress
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	find debian -name LICENSE -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rcpp,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr
